6.0.0-git
2021-01-18

[#2904] Allow signup hook to replace username / password fields
Summary Allow signup hook to replace username / password fields
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester thomas (at) gelf (dot) net
Created 2005-11-02 (5556 days ago)
Due
Updated 2006-11-22 (5171 days ago)
Assigned 2005-11-02 (5556 days ago)
Resolved 2006-11-22 (5171 days ago)
Milestone
Patch Yes

History
2006-11-22 19:22:35 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
Committed finally, thanks!
2005-11-02 23:04:15 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2005-11-02 19:38:11 thomas (at) gelf (dot) net Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Allow signup hook to replace username / password fields
Queue ⇒ Horde Framework Packages
New Attachment: horde_signup_hook_v1.diff Download
Reply to this comment
A hook adding extra fields to signup forms is a cute thing. 
Unfortunately the "user_name" and "password" fields cannot be changed. 
Therefore it's impossible to fully customize signup forms (Change 
description, add fields above "user_name" etc) - this patch allows 
doing so.



Affects "horde" and "framework", should work fine (hopefully :) and be 
100% backward compatible. Didn't have time to fully test it, my 
application using it has still to be written.



Yours sincerly,

Thomas Gelf

Saved Queries